#include <bits/stdc++.h>

using namespace std;

#define int long long

signed main() {
    string s; cin >> s;
    reverse(s.begin(), s.end());
    string ans;
    bool f=false;
    for (int i=0; i<s.size(); i++) {
        if (s[i]=='0' and f) {
            ans+=s[i];
        }
        else if (s[i]!='0') {
            ans+=s[i];
            f=true;
        }
    }
    for (int i=0; i<ans.size(); i++) {
        if (ans[i]=='2') {
            ans[i]='5';
        }
        else if (ans[i]=='5') {
            ans[i]='2';
        }
    }
    cout<<ans<<"\n";
}
